// Learn TypeScript:
//  - https://docs.cocos.com/creator/manual/en/scripting/typescript.html
// Learn Attribute:
//  - https://docs.cocos.com/creator/manual/en/scripting/reference/attributes.html
// Learn life-cycle callbacks:
//  - https://docs.cocos.com/creator/manual/en/scripting/life-cycle-callbacks.html

const { ccclass, property } = cc._decorator;

@ccclass
export default class SP extends cc.Component {

    onLoad() {
        let sprite = this.node.getComponent(cc.Sprite);
        let mat = sprite.getMaterial(0);
        const gfx = cc.gfx;

        mat?.setBlend(
            true,
            gfx.BLEND_FUNC_ADD,
            gfx.BLEND_ONE_MINUS_DST_COLOR,
            gfx.BLEND_ONE_MINUS_SRC_COLOR,
            gfx.BLEND_FUNC_ADD,
            gfx.BLEND_ONE_MINUS_DST_ALPHA,
            gfx.BLEND_ONE_MINUS_SRC_ALPHA,
            0x00000000,
            0);


        this.node.on(cc.Node.EventType.TOUCH_MOVE, this.touchMove, this)

    }

    touchMove(event) {
        let target: cc.Node = event.currentTarget
        var delta = event.getDelta();

        target.x += delta.x;
        target.y += delta.y;

    }


    start() {

    }

    // update (dt) {}
}
